<id>
slinouille:DeInCreasePostBox
</id>

<version>
1.3
</version>

<edit file>
$themedir/GenericControls.template.php
</edit file>

<search for>
	// Finally the most important bit - the actual text box to write in!
	if ($display_controls == 'all' || in_array('message', $display_controls))
	{
		echo '
					<textarea class="editor" name="', $editor_id, '" id="', $editor_id, '" rows="', $editor_context['rows'], '" cols="', $editor_context['columns'], '" onselect="storeCaret(this);" onclick="storeCaret(this);" onkeyup="storeCaret(this);" onchange="storeCaret(this);" tabindex="', $context['tabindex']++, '" style="width: ', $editor_context['width'], '; height: ', $editor_context['height'], ';', isset($context['post_error']['no_message']) || isset($context['post_error']['long_message']) ? 'border: 1px solid red;' : '', '">', $editor_context['value'], '</textarea>
					<input type="hidden" name="', $editor_id, '_mode" id="', $editor_id, '_mode" value="0" />';
</search for>

<add after>

		//Begin modification - DeInCreasePostBox
		echo '
					<br />
					<a href="javascript:void(0);" onclick="box_decrease(\'', $context['post_box_name'], '\')"><img src="', $settings['images_url'], '/buttons/minus.gif" align="bottom" alt="', $txt['DeInCreasePostBox_decrease'], '" title="', $txt['DeInCreasePostBox_decrease'], '"  style="background-image: url(', $settings['images_url'], '/bbc/bbc_bg.gif); margin: 1px 2px 1px 1px;" /></a>
					<a href="javascript:void(0);" onclick="box_increase(\'', $context['post_box_name'], '\')"><img src="', $settings['images_url'], '/buttons/plus.gif" align="bottom" alt="', $txt['DeInCreasePostBox_increase'], '" title="', $txt['DeInCreasePostBox_increase'], '"  style="background-image: url(', $settings['images_url'], '/bbc/bbc_bg.gif); margin: 1px 2px 1px 1px;" /></a>
					
		';
		//End modification - DeInCreasePostBox

</add after>


<edit file>
$themedir/scripts/editor.js
</edit file>

<search for>
// A utility instruction to save repetition when trying to work out what to change on a height/width.
SmfEditor.prototype._calculateNewDimension = function(old_size, change_size)
{
	// We'll assume pixels but may not be.
	changeReg = change_size.toString().match(/(\d+)(\D*)/);
	curReg = old_size.toString().match(/(\d+)(\D*)/);

	if (!changeReg[2])
		changeReg[2] = 'px';

	// Both the same type?
	if (changeReg[2] == curReg[2])
		new_size = (parseInt(changeReg[1]) + parseInt(curReg[1])).toString() + changeReg[2];
	// Is the change a percentage?
	else if (changeReg[2] == '%')
		new_size = (parseInt(curReg[1]) + parseInt((parseInt(changeReg[1]) * parseInt(curReg[1])) / 100)).toString() + 'px';
	// Otherwise just guess!
	else
		new_size = (parseInt(curReg[1]) + (parseInt(changeReg[1]) / 10)).toString() + '%';

	return new_size;
}
</search for>

<add after>
//Begin modification - DeInCreasePostBox
// Permits to increase the size of a textarea

mod_dipb_step = 50;	//number of pixel the size id increased or decreased. You can customize this value

function box_increase(textarea){
	var value = document.getElementById(textarea).style.height;
	var new_value = parseInt( value.substring(0,value.lastIndexOf("px")) ) + mod_dipb_step ;
	document.getElementById(textarea).style.height = new_value + "px";
}

// Permits to decrease the size of a textarea
function box_decrease(textarea){
	var value = document.getElementById(textarea).style.height;
	var new_value = parseInt( value.substring(0,value.lastIndexOf("px")) ) - mod_dipb_step ;
	document.getElementById(textarea).style.height = new_value + "px";
}
//End modification - DeInCreasePostBox
</add after>
